#ifndef _FOC_H__
#define _FOC_H__
#include "foc/foc_type.h"


void foc_init(void);
void set_dq_voltage(float d_v, float q_v);
void foc_motor_spin(dq_t *dq_v, float angle);
void foc_start_pwm(bool start);
int foc_hall_detect(float current, u16 *hall_table);

#endif /* _FOC_H__ */

